Page MenuHomePhabricator

Exception thrown for invalid Topic namespace URL
Closed, ResolvedPublic

Description

When you visit https://www.mediawiki.org/wiki/Topic:Blah (invalid UUID) or https://www.mediawiki.org/wiki/Topic:S4tat94yjcpnz15m/flow (valid UUID, but with a subpage which is not how the Topic namespace works), you get a fatal:

"[8c125b71] 2014-11-14 23:08:54: Fatal exception of type Flow\Exception\InvalidInputException"

It should show a user-friendly error message.


Version: unspecified
Severity: normal
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=68258

Details

Reference
bz73443

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:59 AM
bzimport set Reference to bz73443.
bzimport added a subscriber: Unknown Object (MLST).
EBernhardson reopened this task as Open.Dec 11 2014, 2:29 AM
EBernhardson claimed this task.
EBernhardson triaged this task as Normal priority.
EBernhardson set Security to None.

Change 179054 had a related patch set uploaded (by EBernhardson):
Friendly error message for invalid page within NS_TOPIC

https://gerrit.wikimedia.org/r/179054

Patch-For-Review

Change 179054 merged by jenkins-bot:
Friendly error message for invalid page within NS_TOPIC

https://gerrit.wikimedia.org/r/179054

Quiddity added a comment.EditedDec 16 2014, 8:03 PM

@EBernhardson How does this relate to T70258: Flow: Internal error when following redlink to a non-existent page in Topic namespace? (I thought they were dupes, sorry if that was a mistake, or I'd merged in the wrong direction!)

They should be the same. But I suppose that depends on where the red link was generated. If flow is generating red links to topic that shouldn't happen, any page we reference from topic should exist. Links created by users to non existent topic pages should be red links and after this patch should get a reasonable error message.

Quiddity removed a subscriber: Maryana.Dec 19 2014, 1:25 AM
Mattflaschen-WMF closed this task as Resolved.Jan 12 2015, 11:53 PM